Thursday, November 11, 2010

Using the latest SANE drivers in Ubuntu 10.04, 10.10

If you are running Ubuntu 10.04 LTS or 10.10 and your scanner is not supported, then you can try the latest releases of the SANE drivers from my sane-backends PPA.  The following steps from the terminal will enable it.

$ sudo add-apt-repository ppa:robert-ancell/sane-backends
$ sudo apt-get update
$ sudo apt-get upgrade

Please feedback to the SANE project if you continue to have problems!


In the Ubuntu Desktop team we're currently packaging GNOME 3 components for Ubuntu as per the blueprint decided at the last Ubuntu Developer Summit.

If you're already brave enough to be running Natty, then you can additionally try some new GNOME 3 applications by adding the GNOME3 builds PPA into your sources.  Expect the usual - the packages may not work perfectly, and it's non-trivial to downgrade, so be warned!

We're going to evaluate these packages in the PPA and decide how many are appropriate to include in Natty.

LightDM status update

It must be time to update on how progress is going with LightDM.
  • PCMan from LXDE wrote an awesome new greeter that uses GtkBuilder for layout. This allows you to easily theme up new greeters, the default one being the old Industrial theme:

  • There's been some interest in writing a QT based greeter, and I hope we'll be able to show that working soon.
  • I've started to write some documentation.
  • non-proposed LightDM for inclusion in GNOME 3 (I don't feel it will be sufficiently ready in time).  This raised the idea of should we switch display managers in the future and got some good feedback.
  • We had a UDS session on LightDM which also gave some good feedback.  The outcome is that I plan to make LightDM easily installable in Ubuntu 11.04 as an alternative display manager.